<app-layout>

    <div class="row py-4">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <div class="row">
                <div class="col-lg-4 col-md-4 col-sm-12 col-xs-12">

                    <mat-card>
                        <div class="row pt-4" style="margin-top: 8px;">
                            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                <mat-card>
                                    <div class=row>
                                        <div class="col-lg-2 col-md-2 col-sm-4 col-xs-4">
                                            <mat-icon aria-hidden="false" aria-label="Example home icon">home</mat-icon>

                                        </div>
                                        <div class="col-lg-8 col-md-8 col-sm-4 col-xs-4">Total Count</div>
                                        <div class="col-lg-2 col-md-2 col-sm-4 col-xs-4" style="text-align: right;">{{total_vehicles}}
                                        </div>


                                    </div>

                                </mat-card>

                            </div>


                        </div>
                        <div class="row pt-4" style="margin-top: 20px;">
                            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                <mat-card>
                                    <div class=row>
                                        <div class="col-lg-2 col-md-2 col-sm-4 col-xs-4">
                                            <mat-icon aria-hidden="false" aria-label="Example home icon">home</mat-icon>

                                        </div>
                                        <div class="col-lg-8 col-md-8 col-sm-4 col-xs-4">Highest Peak [ 1pm - 2pm ]
                                        </div>
                                        <div class="col-lg-2 col-md-2 col-sm-4 col-xs-4" style="text-align: right;">2500
                                        </div>


                                    </div>

                                </mat-card>

                            </div>


                        </div>
                        <div class="row pt-4" style="margin-top: 20px;">
                            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                <mat-card>
                                    <div class=row>
                                        <div class="col-lg-2 col-md-2 col-sm-4 col-xs-4">
                                            <mat-icon aria-hidden="false" aria-label="Example home icon">home</mat-icon>

                                        </div>
                                        <div class="col-lg-8 col-md-8 col-sm-4 col-xs-4">Off Peak [ 6am - 7am ]</div>
                                        <div class="col-lg-2 col-md-2 col-sm-4 col-xs-4" style="text-align: right;">500
                                        </div>


                                    </div>

                                </mat-card>

                            </div>


                        </div>
                        <div class="row pt-4" style="margin-top: 20px;">
                            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                <mat-card>
                                    <div class=row>
                                        <div class="col-lg-2 col-md-2 col-sm-4 col-xs-4">
                                            <mat-icon aria-hidden="false" aria-label="Example home icon">home</mat-icon>

                                        </div>
                                        <div class="col-lg-8 col-md-8 col-sm-4 col-xs-4">Hour Factor</div>
                                        <div class="col-lg-2 col-md-2 col-sm-4 col-xs-4" style="text-align: right;">1500
                                        </div>


                                    </div>

                                </mat-card>

                            </div>


                        </div>
                        <div class="row pt-3" style="margin-top: 20px;">
                            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                                <mat-card>
                                    <div class=row>
                                        <div class="col-lg-2 col-md-2 col-sm-4 col-xs-4">
                                            <mat-icon aria-hidden="false" aria-label="Example home icon">home</mat-icon>

                                        </div>
                                        <div class="col-lg-8 col-md-8 col-sm-4 col-xs-4">PCU Factor</div>
                                        <div class="col-lg-2 col-md-2 col-sm-4 col-xs-4" style="text-align: right;">4000
                                        </div>


                                    </div>

                                </mat-card>

                            </div>


                        </div>





                    </mat-card>


                </div>
                <div class="col-lg-4 col-md-4 col-sm-12 col-xs-12" *ngIf="allvehiclechart">

                    <mat-card style="height: 530px;">
                        <div style="height: 490px;" [chart]="allvehiclechart"></div>
                        <div class="my-2">

                        </div>
                    </mat-card>
                </div>

                <div class="col-lg-4 col-md-4 col-sm-12 col-xs-12" *ngIf="alldirectionchart">
                    <mat-card style="height: 530px;">
                        <div style="height: 490px;" [chart]="alldirectionchart"></div>
                        <div class="my-2">

                        </div>
                    </mat-card>
                </div>

            </div>
        </div>
    </div>


    <div class="row">
        <div class="p-4 col-1"></div>
        <div class="p-4 col-10">

            <mat-form-field>
                <input matInput  [formControl]="requestData.start" placeholder="From">

            </mat-form-field>
            <mat-form-field>
                <input matInput [formControl]="requestData.end" placeholder="To">
            </mat-form-field>
            <mat-form-field>
                <mat-select placeholder="Vehicles" [formControl]="requestData.vehicle" multiple>
                    <mat-select-trigger>
                        {{requestData.vehicle.value ? requestData.vehicle.value[0] : ''}}
                        <span *ngIf="requestData.vehicle.value?.length > 1" class="example-additional-selection">
                            (+{{requestData.vehicle.value.length - 1}}
                            {{requestData.vehicle.value?.length === 2 ? 'other' : 'others'}})
                        </span>
                    </mat-select-trigger>
                    <mat-option *ngFor="let item of vehicle_categories| keyvalue" [value]="item.key">{{item.key}}</mat-option>
                </mat-select>
            </mat-form-field>
            <mat-form-field>
                <mat-select placeholder="Directions" [formControl]="requestData.direction" multiple>
                    <mat-select-trigger>
                        {{requestData.direction.value ? requestData.direction.value[0] : ''}}
                        <span *ngIf="requestData.direction.value?.length > 1" class="example-additional-selection">
                            (+{{requestData.direction.value.length - 1}}
                            {{requestData.direction.value?.length === 2 ? 'other' : 'others'}})
                        </span>
                    </mat-select-trigger>
                    <mat-option *ngFor="let item of direction_categories | keyvalue " [value]="item.value">{{item.value}}
                    </mat-option>
                </mat-select>
            </mat-form-field>
            <button class="mx-4" (click)="getAnalytics()" mat-raised-button color="primary">Get Data</button>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <mat-card>
                <div class="row">
                    <div class="col-lg-9 col-md-9">
                        <mat-card-title style="font-size: 20px;">Total number of vehicles in specified Direction</mat-card-title>
                    </div>
                    <div class="col-lg-3 col-md-3" style="text-align: right;">
                        <mat-card-title>{{dir_totalCount? dir_totalCount:0}}</mat-card-title>
                    </div>
                </div>
            </mat-card>
        </div>
    </div>
    <div class="row py-4">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <div class="row">
                <div class="col-lg-4 col-md-4 col-sm-12 col-xs-12" *ngIf="singlevehicle==null">

                    <mat-card style="height: 530px;">
                        <div style="height: 490px;" [chart]="directionChart"></div>
                        <div class="my-2">
                            <!-- <mat-chip-list>
                                <mat-chip *ngIf="analytics.left">LEFT: {{analytics.left}}</mat-chip>
                                <mat-chip *ngIf="analytics.right">RIGHT: {{analytics.right}}</mat-chip>
                                <mat-chip *ngIf="analytics.front">FRONT: {{analytics.front}}</mat-chip>
                            </mat-chip-list> -->
                        </div>
                    </mat-card>
                </div>
                <div class="col-lg-4 col-md-4 col-sm-12 col-xs-12" *ngIf="singlevehicle!=null">

                    <mat-card>

                        <mat-icon aria-hidden="false" style="font-size: 39px; color:black;"
                            aria-label="Example home icon">home</mat-icon>

                        <mat-card-header style="margin-top: 16%; margin-bottom: -15px !important;">
                            <mat-card-title>Total Count</mat-card-title>
                            <mat-card-subtitle>
                                Cars
                            </mat-card-subtitle>
                        </mat-card-header>
                        <mat-card-content> <span style="font-size: 18px;
                                    font-weight: 700;margin-left: 20px"> {{singlevehicle}} </span>
                        </mat-card-content>
                    </mat-card>
                </div>
                <div class="col-lg-4 col-md-4 col-sm-12 col-xs-12" *ngIf="vehicleChart">
                    <mat-card style="height: 530px;">
                        <div style="height: 490px;"[chart]="vehicleChart"></div>
                        <div class="my-2">
                            <!-- <mat-chip-list>
                                <mat-chip *ngIf="analytics.bike">BIKE: {{analytics.bike}}</mat-chip>
                                <mat-chip *ngIf="analytics.car">CAR: {{analytics.car}}</mat-chip>
                                <mat-chip *ngIf="analytics.bus">BUS: {{analytics.bus}}</mat-chip>
                                <mat-chip *ngIf="analytics.truck">TRUCK: {{analytics.truck}}</mat-chip>
                            </mat-chip-list> -->
                        </div>
                    </mat-card>
                </div>
                <div class="col-lg-4 col-md-4 col-sm-12 col-xs-12">

                    <mat-card style="height: 530px;">
                        <div style="height: 490px;" [chart]="directionChart2"></div>
                        <div class="my-2">
                            <!-- <mat-chip-list>
                                   <mat-chip *ngIf="analytics.left">LEFT: {{analytics.left}}</mat-chip>
                                   <mat-chip *ngIf="analytics.right">RIGHT: {{analytics.right}}</mat-chip>
                                   <mat-chip *ngIf="analytics.front">FRONT: {{analytics.front}}</mat-chip>
                               </mat-chip-list> -->
                        </div>
                    </mat-card>
                </div>
            </div>
        </div>
    </div>
    <!-- <div class="row py-4" *ngIf="timelineChart">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <mat-card>
                <div class="row">
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 m-0 p-0" *ngIf="directionChart">
                        <div [chart]="timelineChart"></div>
                    </div>
                </div>
            </mat-card>
        </div>
    </div> -->

    <div class="row py-4">
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
            <div class="row">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">

                    <mat-card style="height: 530px;">

                        <div style="height: 490px;" [chart]="barchart"></div>
                    </mat-card>
                </div>
            </div>
        </div>
    </div>

</app-layout>